Bug 233762 - pcscd should not start on systems without appropriate hardware
pcscd should not start on systems without appropriate hardware
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pcsc-lite (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bob Relyea
bzcl34nup
: Reopened, Triaged
Depends On:
Blocks: 222312
  Show dependency treegraph
 
Reported: 2007-03-24 15:33 EDT by Will Woods
Modified: 2011-06-11 09:42 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1227033 (view as bug list)
Environment:
Last Closed: 2011-06-11 09:42:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2007-03-24 15:33:24 EDT
There's really no point in starting pcscd on systems without smartcard hardware.
It should get started when the hardware is attached, either by HAL callouts or a
udev rule.
Comment 1 Ludovic Rousseau 2007-03-24 16:57:58 EDT
That would be a good idea but what would happen to an application waiting for
the first reader to be connected if pcscd is not already running?
Comment 2 Bob Relyea 2007-03-26 14:00:32 EDT
It can be started late, but must be started before the first application that
potentially needs it. Tokens can be hot plugged, and some tokens have the
readers built into them, so there is no attached hardware until the token is
plugged in.

If smart card login is not enabled, it can be started after initial login, for
instance.
Comment 3 Ludovic Rousseau 2007-03-27 02:49:47 EDT
It looks like Apple is doing something like that.

pcscd is started only when a reader is connected. But an application can do a SCardEstablishContext even 
if pcscd is not started.

I/you/we should have a look at the pcsc-lite implementation by Apple to reuse some ideas.
Comment 4 Bug Zapper 2008-04-03 19:46:43 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 5 Will Woods 2008-04-04 18:10:42 EDT
Still happens in rawhide. It's been a year now. Any progress here?

I seem to recall that we stopped installing pcsc-lite by default in F8
specifically for this reason.

Comment 6 Ludovic Rousseau 2008-04-05 07:32:13 EDT
It is a "limitation" of pcsc-lite.

If you want you can install libpcsclite (linked to the application like gdm) and do not install pcscd. pcscd 
can be installed later when needed.

The use of HAL or udev to start pcscd is also a good idea. But that will not work with serial readers (not 
used much nowadays I think).
Comment 7 Bob Relyea 2008-04-07 11:41:20 EDT
Ludovic, I think that is fine, since serial readers are not plug and play to
begin with. having one extra step (setting pcscd to always start) in the
instructions seems find to me.

bob
Comment 8 Bug Zapper 2008-05-13 22:41:39 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-06-09 18:31:00 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Peter Robinson 2009-06-12 07:30:42 EDT
Updating version as i'm pretty sure this is still an issue.
Comment 11 Peter Robinson 2009-08-13 12:46:57 EDT
Is this still an issue. I know this was fixed for bluetooth during the F-11 devel cycle. Maybe the same fix can be used here.
Comment 12 Bug Zapper 2009-11-16 02:55:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Peter Robinson 2009-11-20 05:44:07 EST
Any update on this. To have the same capabilities as Bluetooth has in F-12 would be great for both powersaving and loading.
Comment 14 Bug Zapper 2010-11-04 08:11:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2010-12-05 02:16:43 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Juha Tuomala 2011-02-01 02:15:17 EST
Still applies to f14.
Comment 17 Ludovic Rousseau 2011-02-01 04:08:56 EST
f14 has pcsc-lite-1.6.4-2.fc14 so the auto start mechanism described in http://ludovicrousseau.blogspot.com/2010/09/pcscd-auto-start.html should be available.

It should be a good idea to upgrade f14 to pcsc-lite 1.6.6
Comment 18 Will Woods 2011-02-03 14:52:42 EST
1.6.6 is already in F15, so this bug will be solved when F15 comes out either way.

If there are major differences between pcsc-lite 1.6.4 and 1.6.6, it might make more sense to just close this bug with a resolution of NEXTRELEASE.
Comment 19 Peter Robinson 2011-06-11 09:42:51 EDT
Fixed in F-15

Note You need to log in before you can comment on or make changes to this bug.